Pepvote Support Center

Get Position

GET
/voting-events/{idOrCode}/positions/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

A key in the form pepvote_api_ followed by 32 hexadecimal characters.

In: header

Header Parameters

User-Agentstringrequired

Name and version of the calling integration. Required on every request.

Path Parameters

idOrCodestringrequired

Voting event ID or code.

idstringrequired

ID of the record.

Response Body

application/json

curl -X GET "https://example.com/voting-events/string/positions/string" \  -H "User-Agent: my-app/1.0"
{
  "data": {
    "id": "string",
    "votingEventId": "string",
    "groupId": "string",
    "title": "string",
    "desc": "string",
    "votingMethod": "string",
    "tallyRule": {
      "type": "plurality_total",
      "seatCount": 1,
      "stvQuota": "droop",
      "bordaSchema": "zero_based"
    },
    "minSelections": 0,
    "maxSelections": 0,
    "scoreMin": 0,
    "scoreMax": 0,
    "cumulativePointBudget": 0,
    "quadraticBaseCreditBudget": 0,
    "quadraticAllowCreditTopUps": true,
    "quadraticMaxPurchasedCreditsPerVoter": 0,
    "createdAt": 0
  }
}
Was this helpful?

Last updated September 6, 2026